Bug 197056 - Partition type is not updated after formatting. Grub problems
Partition type is not updated after formatting. Grub problems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 07:34 EDT by Michele
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 13:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Just more lengthy description (from a posting I made to Fedora Community Portal Forum) (4.07 KB, text/plain)
2006-06-28 07:34 EDT, Michele
no flags Details

  None (edit)
Description Michele 2006-06-28 07:34:05 EDT
Description of problem:
FC5 fails to boot after flawless install. GRUB is not invoked, as if boot 
sector of installation partition contained no boot code.
MBR contains Ranish Partition Manager boot loader

Version-Release number of selected component (if applicable):


How reproducible:
Happened on a MSI desktop and Hi Grade Laptop. Seems computer independent.

Steps to Reproduce:
1.create partition of type vfat or old linux 0x81 (with RanishPartMan)
2.install FC5: ask anaconda to format said partition as ext3. Ask anaconda to
install grub in boot sector of said partition.
3.reboot machine: no boot!
  
Actual results:
MBR with Ranish is read and boot sequence goes on but selected partition 
is not bootable (boot goes to second device in BIOS boot list)

Expected results:
CLean boot

Additional info:
Problem solved by manually correcting partition type with fdisk (no 
reformat!).
Still no boot. Re-install of grub with GRUB>setup (hd0,0). Some errors, 
not fatal, then boots fine!
My guess: anaconda formats the partition correctly and installs the 
system. BUT it doesn't set the partition type to what's needed for ext3; maybe
this causes problems to grub. (or maybe anaconda can't install grub in the boot
record of a partition, but that's less likely).
Comment 1 Michele 2006-06-28 07:34:05 EDT
Created attachment 131657 [details]
Just more lengthy description (from a posting I made to Fedora Community Portal Forum)
Comment 2 Chris Lumens 2007-02-21 12:55:27 EST
Is this still a problem?  I'm told that parted does set the partition type
correctly so if you're still seeing this, anaconda must not be doing the right
thing when calling parted.

Note You need to log in before you can comment on or make changes to this bug.